Distribution days
https://app.iteras.dk/api/distributiondays/
The /api/distributiondays/ endpoint enables you to retrieve
information defined in Iteras for specific distribution days, such as which days a physical product is distributed.
The actual data returned depends on the setup of the distribution integration and related fields inside Iteras.
Parameters
-
start_date dateOptional start date as
YYYY-MM-DD. E.g.2026-01-01(inclusive). -
end_date dateOptional end date as
YYYY-MM-DD. E.g.2026-12-31(inclusive).
Return value
The data returned is an object with an array of distribution days (possibly empty array). Each day object may contain the following attributes:
-
date dateThe distribution day, as
YYYY-MM-DD, e.g.2023-05-03. -
data objectField definition values set on the day, e.g.
{"publication_day": true}.You can set any custom distribution day field, using its field id (the field name with a colon prepended, or its external identifier).
Log in, or send your API key as a bearer token, to see the custom distribution day fields set up for your account.
A yes/no field (type
bool) istrueorfalse, and has no value when it isn't set. Set it withtrueorfalse, and clear it withnull.
GET /api/distributiondays/?start_date=2023-05-01&end_date=2023-05-05{
"distributiondays": [
{
"date": "2023-05-03",
"data": {
"publication_day": true
}
},
{
"date": "2023-05-04",
"data": {
"publication_day": true,
"interpreted_as_weekdays": [
4,
5
]
}
},
{
"date": "2023-05-05",
"data": {
"publication_day": false
}
}
]
}Errors
A malformed start_date or end_date returns a plain text HTTP 404 error.